%define _disable_ld_no_undefined 1

Summary:        Open source PDF editor
Name:           pdf4qt
Version:        1.4.0.0
Release:        %mkrel 1
Group:          Graphics/Editors and Converters
License:        LGPL-3.0-only
URL:            https://jakubmelka.github.io/
Source0:        https://github.com/JakubMelka/PDF4QT/archive/v%{version}/PDF4QT-%{version}.tar.gz
Patch0:         pdf4qt-find-lcms2.patch
Patch1:         0001-Latest-git-fails-to-build-in-linux.patch

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6TextToSpeech)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(blend2d)
BuildRequires:  cmake(TBB)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libopenjp2)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(zlib)

%description
Experience the power of PDF4QT: An open-source PDF editor designed
for both Windows and Linux. This modern solution offers an
unparalleled experience for viewing, editing, and rendering PDF
documents for all users, as well as developers. Developers have
access to a  robust C++ library and a practical command line tool
for seamless script integration. Regular users can enjoy our four
applications packed with a wealth of features.

%prep
%autosetup -p1 -n PDF4QT-%{version}

sed -i 's|PDF4QT_INSTALL_LIB_DIR_IMPL lib|PDF4QT_INSTALL_LIB_DIR_IMPL %{_lib}|' CMakeLists.txt

%build
%cmake -DCMAKE_INSTALL_PREFIX='/' \
       -DPDF4QT_INSTALL_DEPENDENCIES=OFF
%cmake_build

%install
%cmake_install

find %{buildroot} -name 'libPdf4QtLib*.so' -delete

%files
%doc README.md NOTES.txt RELEASES.txt
%license LICENSE.md
%{_bindir}/Pdf4QtDiff
%{_bindir}/Pdf4QtEditor
%{_bindir}/Pdf4QtLaunchPad
%{_bindir}/Pdf4QtPageMaster
%{_bindir}/Pdf4QtViewer
%{_bindir}/PdfTool
%{_libdir}/pdf4qt/
%{_libdir}/libPdf4QtLibCore.so.%{version}
%{_libdir}/libPdf4QtLibGui.so.%{version}
%{_libdir}/libPdf4QtLibWidgets.so.%{version}
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_metainfodir}/io.github.JakubMelka.Pdf4qt.appdata.xml


%changelog
* Sun Nov 24 2024 daviddavid <daviddavid> 1.4.0.0-1.mga10
+ Revision: 2118812
- initial package pdf4qt

